// Types used outside the domain
export type Route = {
  distance: number;
  duration: number;
  fwdAzimuth: number;
  backAzimuth: number;
  distanceAzimuth: number;
  points: Point[];
  steps?: Step[];
};

export type Point = {
  lon: number;
  lat: number;
};

export type Step = Point & {
  duration: number;
  distance?: number;
};
